
Redmine - Defect #20034

Custom queries cannot be edit after creation

2015-06-07 21:18 - Daniele Renda

Status: Needs feedback Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.0.3

Description

I created a custom query in a project with a role that permit of course custom queries. In the query I checked the "for all projects"

checkbox.

After the creation, I'm not able anymore to edit the query; every time I try to change it I've a 403 forbidden error.

I think this is a regression, in fact with old 2.5.1 redmine version all worked fine.

History

#1 - 2015-06-18 11:04 - Daniele Renda

Hi,

someone took a look to this bug?

Thanks

#2 - 2015-06-18 13:33 - Robert Schneider

I tried it on my redmine but could not reproduce it. Maybe the user has different permissions in the projects? You could mention that if it is the case...

#3 - 2015-06-18 14:21 - Daniele Renda

I'm the manager of the project, so I've the high level permissions on it. Please note that the problem is visible on version 3.0.3 od redmine

#4 - 2015-07-07 06:55 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#5 - 2016-04-05 02:27 - Yuri Weinstein

We observed the same problem in version 3.1.1.stable

Can someone update on progress of this issue?

#6 - 2016-05-01 15:12 - Toshi MARUYAMA

Submissions:

Before submitting a bug report here, please make sure:

...

#7 - 2017-02-20 12:30 - Luca Lesinigo

For what it's worth, our setup was born as v3.3.0 and we were able to edit and delete custom queries for all projects.

We recently upgraded to v3.3.2 and still no problems with custom queries.
